#Embedded file name: /usr/lib/enigma2/python/Components/Converter/CamdInfo.py
from enigma import iServiceInformation
from Components.Converter.Converter import Converter
from Components.Element import cached
from Components.config import config

class CamdInfo(Converter, object):

    def __init__(self, type):
        Converter.__init__(self, type)
        self.type = type

    @cached
    def getText(self):
        #if config.merlin2.skin_showcamdname.value:
            service = self.source.service
            info = service and service.info()
            if not info:
                return ''
                camd = None
            try:
                camdlist = open('/etc/clist.list', 'r')
            except:
                return

            if camdlist is not None:
                for current in camdlist:
                    camd = current

                camdlist.close()
                return camd
            else:
                return ''

    text = property(getText)

    def changed(self, what):
        Converter.changed(self, what)